View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000073aMuleMiscpublic2004-06-22 12:092004-09-16 01:54
Reporterfuzzfaze 
Assigned ToKry 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000073: error 24: Too many open files
DescriptionHere is an excerpt from a saved log. Contrary to a message in the log, I was able to save logs in the end.

These messages came up massively after amule 2.0rc3 had been running about a week.

Though there is other stuff going on on the system I cannot see "Too many open files" at this time.

Checked all the rights again. All files are owned by an amule specific user with rw access for only the user

Solved the issue by rebooting the server...
Don't know if that ties in with another bug report about not rehashing files in the folders.
Additional Information10:18:43: can't create file '/home/temp/004.part.met.backup' (error 24: Too many open files)
10:18:43: can't create file '/home/temp/004.part.met.bak' (error 24: Too many open files)
10:19:46: can't create file '/home/amule/.aMule/clients.met' (error 24: Too many open files)
10:19:46: can't open file '/home/amule/.aMule/logfile' (error 24: Too many open files)
10:21:07: can't open file '/home/temp/004.part.met' (error 24: Too many open files)
10:21:07: can't open file '/home/amule/.aMule/logfile' (error 24: Too many open files)
10:21:07: can't open file '/home/amule/.aMule/logfile' (error 24: Too many open files)
10:21:59: Impossible to get permissions for file '/home/temp/004.part.met' (error 2: No such file or directory)
10:22:56: can't open file '/home/temp/004.part.met' (error 24: Too many open files)
10:22:56: can't open file '/home/amule/.aMule/logfile' (error 24: Too many open files)
10:22:56: can't open file '/home/amule/.aMule/logfile' (error 24: Too many open files)
10:23:23: Impossible to get permissions for file '/home/temp/004.part.met' (error 2: No such file or directory)
10:24:17: can't open file '/home/temp/004.part.met' (error 24: Too many open files)
10:24:17: can't open file '/home/amule/.aMule/logfile' (error 24: Too many open files)
10:24:17: can't open file '/home/amule/.aMule/logfile' (error 24: Too many open files)
10:24:19: Can not enumerate files in directory '/home/amule' (error 24: Too many open files)
10:24:28: can't create file '/home/amule/amule-log1.txt' (error 24: Too many open files)
10:24:28: Can't save log contents to file.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000106)
Xaignar (manager)
2004-06-23 11:27

Hummm, I thought that had been fixed. Thanks for the report, we will be investigating.
(0000246)
Kry (manager)
2004-09-16 01:54

Definitely fixed on current's CVS

- Issue History
Date Modified Username Field Change
2004-06-22 12:09 fuzzfaze New Issue
2004-06-23 11:27 Xaignar Note Added: 0000106
2004-09-16 01:54 Kry Status new => resolved
2004-09-16 01:54 Kry Resolution open => fixed
2004-09-16 01:54 Kry Assigned To => Kry
2004-09-16 01:54 Kry Note Added: 0000246


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker